## org.eclipse.emf.edit.tree
Interface TreePackage.Literals

Enclosing interface:
  TreePackage

    public static interface TreePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `TREE_NODE` The meta object literal for the '`Node`' class
`static EReference` `TREE_NODE__CHILDREN` The meta object literal for the 'Children' containment reference list feature
`static EReference` `TREE_NODE__DATA` The meta object literal for the 'Data' reference feature
`static EReference` `TREE_NODE__PARENT` The meta object literal for the 'Parent' container reference feature

Field Detail

### TREE_NODE

    static final EClass TREE_NODE

  The meta object literal for the '`Node`' class.

  See Also:
    `TreeNodeImpl`, `TreePackageImpl.getTreeNode()`

### TREE_NODE__PARENT

    static final EReference TREE_NODE__PARENT

  The meta object literal for the 'Parent' container reference feature.

### TREE_NODE__CHILDREN

    static final EReference TREE_NODE__CHILDREN

  The meta object literal for the 'Children' containment reference list feature.

### TREE_NODE__DATA

    static final EReference TREE_NODE__DATA

  The meta object literal for the 'Data' reference feature.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.